/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { FileActionsDto } from './file-actions-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { TreeDataType } from './tree-data-type';

/**
 * Represents a Data Transfer Object (DTO) for a file within a tree structure, extending the base TreeDto.
 * @export
 * @interface FileTreeDto
 */
export interface FileTreeDto {
    /**
     * The path of the tree item.
     * @type {string}
     * @memberof FileTreeDto
     */
    'path'?: string;
    /**
     * 
     * @type {TreeDataType}
     * @memberof FileTreeDto
     */
    'type'?: TreeDataType;
    /**
     * Gets or sets the directory of the file.
     * @type {string}
     * @memberof FileTreeDto
     */
    'directory'?: string;
    /**
     * Gets or sets the name of the file.
     * @type {string}
     * @memberof FileTreeDto
     */
    'name'?: string;
    /**
     * Gets or sets the extension of the file.
     * @type {string}
     * @memberof FileTreeDto
     */
    'extension'?: string;
    /**
     * Gets or sets the size of the file in bytes.
     * @type {number}
     * @memberof FileTreeDto
     */
    'size'?: number;
    /**
     * Gets or sets the creation date of the file.
     * @type {string}
     * @memberof FileTreeDto
     */
    'creationDate'?: string | null;
    /**
     * Gets or sets the last change date of the file.
     * @type {string}
     * @memberof FileTreeDto
     */
    'changeDate'?: string | null;
    /**
     * 
     * @type {FileActionsDto}
     * @memberof FileTreeDto
     */
    'actions'?: FileActionsDto;
    /**
     * Determines if the specific tree entry is hidden.
     * @type {boolean}
     * @memberof FileTreeDto
     */
    'hidden'?: boolean;
}



